﻿using AppStylingSample.Properties;
using Infragistics.Win.AppStyling;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace AppStylingSample
{
	public enum AppStyle
	{
		Office2007Blue,
		Office2007Black,
		Office2007Silver
	}

	static class Program
	{
		[STAThread]
		static void Main()
		{
			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			SetAppStyle((AppStyle)Enum.Parse(typeof(AppStyle), Settings.Default.AppStyle));
			Application.Run(new Form1());
		}

		internal static void SetAppStyle(AppStyle appStyle)
		{
			switch (appStyle)
			{
				case AppStyle.Office2007Blue:
				{
					StyleManager.Load(new MemoryStream(Resources.Office2007Blue));
				}
				break;

				case AppStyle.Office2007Black:
				{
					StyleManager.Load(new MemoryStream(Resources.Office2007Black));
				}
				break;

				case AppStyle.Office2007Silver:
				{
					StyleManager.Load(new MemoryStream(Resources.Office2007Silver));
				}
				break;
			}
		}
	}
}
